> ## Documentation Index
> Fetch the complete documentation index at: https://developers.kit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook deliveries

> Returns a paginated list of deliveries for a webhook endpoint. Delivery history is retained for 30 days — older records are automatically removed.



## OpenAPI

````yaml /api-reference/v4.json get /v4/webhook_endpoints/{id}/deliveries
openapi: 3.0.3
info:
  title: Kit API
  version: '4.0'
servers:
  - url: https://api.kit.com
security: []
paths:
  /v4/webhook_endpoints/{id}/deliveries:
    get:
      tags:
        - Webhooks
      summary: List webhook deliveries
      description: >-
        Returns a paginated list of deliveries for a webhook endpoint. Delivery
        history is retained for 30 days — older records are automatically
        removed.
      parameters:
        - name: after
          description: To fetch next page of results, use `?after=<end_cursor>`
          in: query
          required: false
          schema:
            nullable: true
        - name: before
          description: To fetch previous page of results, use `?before=<start_cursor>`
          in: query
          required: false
          schema:
            nullable: true
        - name: event_type
          in: query
          required: false
          schema:
            type: string
          description: >-
            Filter deliveries by event type. See [Event
            Types](https://developers.kit.com/webhooks/event-types) for the full
            list of supported values.
        - name: id
          in: path
          required: true
          schema:
            type: integer
          example: 19
        - name: per_page
          description: Number of results per page. Default 500, maximum 1000.
          in: query
          required: false
          schema:
            nullable: true
        - name: status
          in: query
          required: false
          schema:
            type: string
            enum:
              - pending
              - delivered
              - failed
              - retrying
          description: >-
            Filter deliveries by status. One of: `pending`, `delivered`,
            `failed`, `retrying`.
      responses:
        '200':
          description: >-
            Returns 200 and a list of deliveries for the endpoint in descending
            order
          content:
            application/json:
              schema:
                type: object
                properties:
                  deliveries:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        event_type:
                          type: string
                        status:
                          type: string
                        attempt_count:
                          type: integer
                        created_at:
                          type: string
                        completed_at:
                          nullable: true
                      required:
                        - id
                        - event_type
                        - status
                        - attempt_count
                        - created_at
                        - completed_at
                  pagination:
                    type: object
                    properties:
                      has_previous_page:
                        type: boolean
                      has_next_page:
                        type: boolean
                      start_cursor:
                        type: string
                      end_cursor:
                        type: string
                      per_page:
                        type: integer
                    required:
                      - has_previous_page
                      - has_next_page
                      - start_cursor
                      - end_cursor
                      - per_page
                required:
                  - deliveries
                  - pagination
              example:
                deliveries:
                  - id: 3
                    event_type: subscriber.activated
                    status: pending
                    attempt_count: 0
                    created_at: '2023-02-17T11:43:55Z'
                    completed_at: null
                  - id: 2
                    event_type: subscriber.activated
                    status: pending
                    attempt_count: 0
                    created_at: '2023-02-17T11:42:55Z'
                    completed_at: null
                  - id: 1
                    event_type: subscriber.activated
                    status: pending
                    attempt_count: 0
                    created_at: '2023-02-17T11:41:55Z'
                    completed_at: null
                pagination:
                  has_previous_page: false
                  has_next_page: false
                  start_cursor: WzNd
                  end_cursor: WzFd
                  per_page: 500
      security:
        - API Key: []
        - OAuth2: []
components:
  securitySchemes:
    API Key:
      description: Authenticate API requests via an API Key
      type: apiKey
      in: header
      name: X-Kit-Api-Key
    OAuth2:
      description: Authenticate API requests via an OAuth token
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://api.kit.com/v4/oauth/authorize
          tokenUrl: https://api.kit.com/v4/oauth/token
          refreshUrl: https://api.kit.com/v4/oauth/token
          scopes:
            read: Read access to Kit API v4
            write: Write access to Kit API v4

````

## Related topics

- [Delivery history](/webhooks/delivery-history.md)
- [List webhooks](/api-reference/webhooks-legacy/list-webhooks.md)
- [List webhook endpoints](/api-reference/webhooks/list-webhook-endpoints.md)
- [Get webhook delivery details](/api-reference/webhooks/get-webhook-delivery-details.md)
- [Delete a webhook](/api-reference/webhooks-legacy/delete-a-webhook.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.